#pragma once

#include "Device.h"
#include <Homie.h>

class DeviceLed : public Device {
  public:
    inline DeviceLed(byte ledRed, byte ledGreen, byte ledBlue) {
      pinRed = ledRed;
      pinGreen = ledGreen;
      pinBlue = ledBlue;
    }
    virtual void deviceSetup();
    virtual void deviceRegister();
    virtual void deviceLoop();
  private:
    byte pinRed;
    byte pinGreen;
    byte pinBlue;
    int led_red = 0;
    int led_green = 0;
    int led_blue = 0;
    bool ledOnHandler(String value);
    bool ledColorHandler(String message);
    HomieNode ledNode{"led", "rgb"};
};
